Download it now!
Bug 86473 - VIEWING formula with "fraction" not properly displayed in presentation mode (Linux only)
Summary: VIEWING formula with "fraction" not properly displayed in presentation mode ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: All Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-11-19 21:38 UTC by hardy
Modified: 2016-08-21 12:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation document (odp) with an example of this formula in it (45.85 KB, application/vnd.oasis.opendocument.presentation)
2014-11-19 21:38 UTC, hardy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hardy 2014-11-19 21:38:59 UTC
Created attachment 109742 [details]
presentation document (odp) with an example of this formula in it

I will attach a simple presentation document (.odp) to show the behavior.

This document contains a formula object, that has a "fraction" in it. But when you view this slide in presentation mode, then the fraction line is NOT displayed :(

This wrong behavior is conserved, even when you change the content of this document (not the formula itself, but any other object) in the current (4.2.7.2.) version of LibreOffice. I have observed this under (Ubuntu Linux), it does NOT happen with the Windows version.

This presentation document (and the formula object) was once created in OpenOffice, around 5 years ago. But I would like to use the presentation document with LibreOffice now (everything else works fine). And it was disturbing during my presentation, that the fraction lines (I had many more formulas in my presentation...) were all gone.

Once you change the content of the formula object itself in a current version of LibreOffice (in my case version 4.2.7.2 under Ubuntu Linux), then the fraction line on the formula object will be properly displayed in presentation mode afterwards.

Even with this existing and easy workaround (just change very formula with a fraction line a bit), I still do consider this as a bug. I would expect LibreOffice to properly display my presentation documents that I have created in the same file format with OpenOffice some years ago.
Comment 1 Joel Madero 2014-11-20 06:45:48 UTC
I cannot reproduce this.

Ubuntu 14.10 x64
LibreOffice 4.3.2.2 release

As 4.2 is at EOL - please try with 4.3 and see if you still experience the problem. Marking as WFM - if you still have the problem with 4.3, please set the bug back to UNCONFIRMED. Thank you!
Comment 2 hardy 2014-11-20 21:34:57 UTC
I have just installed LibreOffice 4.3.3.2 release (as deb file from the official LibreOffice homepage) on my Ubunt 14.04 system.

But the described behavior (i.e. the missing fraction line in the formula of the sample slide when in presentation mode) is still there. I will reset this bug report to "unconfirmed" as suggested.
Comment 3 anthonyds12 2014-12-15 12:25:37 UTC
I can't reproduce this on OS X 10.10.1 with LibreOffice 4.3.4.1
Comment 4 Buovjaga 2014-12-16 12:51:12 UTC
Reproduced -> NEW.
Lowering severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: f92183833fa569006602ac7e93c906d2094e0d4d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-12-14_00:21:45
Comment 5 Buovjaga 2015-01-12 15:43:08 UTC
Yep, no problem on 3.5.

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 6 Michael Weghorn 2015-08-20 11:21:56 UTC
I cannot reproduce this on my laptop running Debian Jessie with Xfce with the LibreOffice version that ships with Debian (package version: 1:4.3.3-2+deb8u1).

However, I can reproduce it in a virtual machine (KVM) on the same laptop, with the same Debian version and Xfce or KDE running inside the virtual machine. I am using the QXL video driver for the VM.

I have bibisected the bug inside that VM using the bibisect-43all repository. This is the result:

$git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# good: [51b63dca7427db64929ae1885d7cf1cc7eb0ba28] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect good 51b63dca7427db64929ae1885d7cf1cc7eb0ba28
# bad: [d65a58c31c8da044ef66ae4517fa2fe74cec0019] source-hash-2e053cf5ea4d93a2e1845e795a9c7fe1e08c84af
git bisect bad d65a58c31c8da044ef66ae4517fa2fe74cec0019
# bad: [79e02001f27d33b3b478324ab6fba5683413b4d9] source-hash-b6c016da23d309b4ac7d154bc33a22397974ed73
git bisect bad 79e02001f27d33b3b478324ab6fba5683413b4d9
# bad: [183a576d94de9a9439d580c8b81f335ab57cdbdc] source-hash-a599f5b4b51848e3b397d471c9d12b373caadcef
git bisect bad 183a576d94de9a9439d580c8b81f335ab57cdbdc
# good: [fae90325861bbddd2af90937d29d91637c96661a] source-hash-4316e643ef345b0f673b4a03a80a4b7cb3185588
git bisect good fae90325861bbddd2af90937d29d91637c96661a
# bad: [e5973caebe5b9637f93a4da008d76b33b9d5ff6a] source-hash-683758efb22d08a4cf211a6d985148f513da2a90
git bisect bad e5973caebe5b9637f93a4da008d76b33b9d5ff6a
# bad: [ba6eb41acb8df58f3009920f8ab8b32a3e1b764e] source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc
git bisect bad ba6eb41acb8df58f3009920f8ab8b32a3e1b764e
# first bad commit: [ba6eb41acb8df58f3009920f8ab8b32a3e1b764e] source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc
Comment 7 hardy 2015-11-16 19:18:10 UTC
This bug is still fully present in the current release 5.0.3.2 of LibreOffice (Linux version).

Since it seems to matter: My graphics card is an onboard graphics "card" from Intel. (From another open source project I know that the Linux version of the OpenGL driver for this type of graphics card is suspected to be buggy.)
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:11:11 UTC Comment hidden (obsolete)
Comment 9 Caolán McNamara 2016-08-20 16:04:15 UTC
They are polygons that describe a rectangle with top y and bottom y of 784.5 and 785.4. Because its a rectangle canvas/source/vcl/canvashelper.cxx:doPolyPolygonImplementation rounds it, to form 785/785 and nothing is drawn
Comment 10 Commit Notification 2016-08-20 16:40:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=676c9786ff8fac6a6593df51bd9cb3f10854a781

Resolves: tdf#86473 approx 1 pixel high rectangular polygon not drawn

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2016-08-20 16:42:02 UTC
cairo-canvas only FWIW, so toggling "hardware acceleration", which uses cairo canvas under Linux, off will also make the line (thin rectangle) visible
Comment 12 Commit Notification 2016-08-21 12:06:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43297fc501cd51982db1e7ed1fa1d4a1c18d0871

Related: tdf#86473 git rid of special pixel snapping for rectangles

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.